דילוג לתוכן

Kling LipSync Text-to-Video

שילוב

מזהה מודל kling-video/lipsync/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/lipsync/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice_id": "genshin_vindi2"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

קבצים כמו בדוגמה: ⁨‏0.14 ‏$⁩ 140 קרדיטי API · ≈ ⁨‏15.06 ‏₽⁩ הקבצים שלכם נמדדים לפני ההרצה הרצה בדף הזה

קבלת מפתח API
Kling סנכרון שפתיים ואווטארים סנכרון שפתיים #text-to-video#lipsync

גורם לאדם בסרטון לדבר טקסט שהוזן באמצעות קול סינתטי לבחירה, עם מהירות מתכווננת

נוצר ב-Doitong

יצירות ציבוריות שנוצרו עם Kling LipSync על ידי קהילת Doitong. אפשר להשתמש מחדש בפרומפט בלחיצה אחת.

יצירות ציבוריות שמוצגות: 16
ווידאו

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

ווידאו

Как остановить тревогу за 60 секунд. Когда она накатывает, начните с дыхания: медленно вдохните через нос на четыре счёта, задержите на четыре и мягко выдохните через рот на шесть. Повторите три раза — это сразу успокаивает нервную систему. Затем посмотрите вокруг и вслух назовите три вещи,...

ווידאו

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

ווידאו

Дорогой друг, если тревога внезапно накрыла, остановите её за шестьдесят секунд тремя простыми шагами. Сначала медленно вдохните носом на четыре секунды, задержите дыхание ещё на четыре и плавно выдохните ртом на шесть. Это сразу снижает активность симпатической нервной системы и даёт телу сигнал...

ווידאו

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

ווידאו

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

ווידאו

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

ווידאו

Как перестать всё контролировать? Я знаю, как тяжело постоянно держать всё в руках. Вот три простых шага, которые реально помогают. Сначала заметьте, когда внутри возникает напряжение, и сделайте три медленных выдоха длиннее вдохов. Это сразу включает спокойную часть нервной системы. Второй шаг:...

בנה בקשה

הפקדים נוצרים מסכמת המודל. הקוד והמחיר מתעדכנים כשמשנים אותם.

•חובה 88 / 120

טקסט המשמש ליצירת וידאו בסנכרון שפתיים, במגבלה של 120 תווים.

•חובה video_url
גרור קובץ, או

כתובת URL של וידאו ליצירת סנכרון שפתיים. מקבלת קובצי .mp4 או .mov בגודל של עד 100MB, באורך 2–60s, ברזולוציה של 720p או 1080p בלבד; שתי המידות חייבות להיות בטווח 720–1920px. כשל באימות מחזיר שגיאה.

•חובה

מזהה הקול המשמש לסינתוז דיבור.

מתקדם voice_language · voice_speed · enable_safety_checker
voice_language ברירת מחדל en

השפה המשויכת ל-Voice ID שנבחר.

ברירת מחדל 1

מהירות הדיבור המשמשת ביצירת וידאו מטקסט.

POST /run/kling-video/lipsync/text-to-video?wait=20 הצעת מחיר → ⁨‏0.14 ‏$⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/lipsync/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice_id": "genshin_vindi2"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

הרצת הבקשה הזו

המפתח שלך נשאר בדפדפן הזה: הוא נשלח רק אל Doitong API ונשמר ב-localStorage רק אם מסמנים זכור. קבל מפתח API

מידע על Kling LipSync Text-to-Video

מייצר דיבור מסונכרן לשפתיים מטקסט במקום מקובץ אודיו. יש לספק `video_url`, `text` באורך של עד 120 תווים ו־`voice_id` שנבחר מרשימת קולות מוגדרים מראש. `voice_language` הוא zh או en, והטווח של `voice_speed` הוא 0.8 עד 2. סרטון המקור יכול להיות בפורמט .mp4 או .mov, בגודל של עד 100MB, באורך 2 עד 60 שניות וברזולוציה 720p או 1080p.

פרמטרים

שלח את השם הקנוני או את השם המקומי, לא את שניהם. שמות קנוניים

שםסוג ברירת מחדלמותר תיאור
enable_safety_checkerאופציונלי
סוגboolean
ברירת מחדלtrue
ניתן להשבית בדיקות בטיחות רק באישור החשבון; בקשות ללא הרשאה תמיד נבדקות.
video_urlחובה video
סוגurl · video
כתובת URL של וידאו ליצירת סנכרון שפתיים. מקבלת קובצי .mp4 או .mov בגודל של עד 100MB, באורך 2–60s, ברזולוציה של 720p או 1080p בלבד; שתי המידות חייבות להיות בטווח 720–1920px. כשל באימות מחזיר שגיאה.
textחובה
סוגstring
≤ 120 תווים
טקסט המשמש ליצירת וידאו בסנכרון שפתיים, במגבלה של 120 תווים.
voice_idחובה
סוגenum
genshin_vindi2zhinen_xueshengAOTai_shatanggenshin_klee2genshin_kiraraai_kaiyaoversea_male1ai_chenjiahao_712girlfriend_4_speech02chat1_female_new-3chat_0407_5-1cartoon-boy-07uk_boy1cartoon-girl-01PeppaPig_platform
עוד 30ai_huangzhong_712ai_huangyaoshi_712ai_laoguowang_712chengshu_jiejieyou_pingjingcalm_story1uk_man2laopopo_speech02heainainai_speech02reader_en_m-v1commercial_lady_en_f-v1tiyuxi_xueditiexin_nanyougirlfriend_1_speech02girlfriend_2_speech02zhuxi_speech02uk_oldman3dongbeilaotie_speech02chongqingxiaohuo_speech02chuanmeizi_speech02chaoshandashu_speech02ai_taiwan_man2_speech02xianzhanggui_speech02tianjinjiejie_speech02diyinnansang_DB_CN_M_04-v2yizhipiannan-v1guanxiaofang-v2tianmeixuemei-v1daopianyansang-v1mengwa-v1
מזהה הקול המשמש לסינתוז דיבור.
voice_languageאופציונלי
סוגenum
ברירת מחדלen
zhen
השפה המשויכת ל-Voice ID שנבחר.
voice_speedאופציונלי
סוגnumber
ברירת מחדל1
0.8 – 2
מהירות הדיבור המשמשת ביצירת וידאו מטקסט.
חובה שם קנוני, מתקבל גם הוא

פרמטרים של קבצים מקבלים URL ציבורי מסוג https://, כתובת URI מסוג data: בגודל של עד 10 MB, או את file_url של העלאה. קבצים

פלט

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/lipsync/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 140,
    "usd": "0.14",
    "charged": 140,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice_id": "genshin_vindi2"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
הקבצים שלכם, הבחירה שלכםכל outputs[].url הוא עותק באחסון שלנו: נשמר לצמיתות (בתשלום לפי GB-חודש) או למשך 7 ימים ללא תשלום, בהתאם להגדרת החשבון או ל־?storage=.
אותו מבנה בכל מודלtype, url, content_type, width, height ו-duration, עבור תמונות, וידאו ואודיו כאחד. output הוא אובייקט התוצאה של המודל עצמו.
שדות הפלט
video
object {url, content_type, file_name, file_size}וידאו שנוצר על ידי המודל.

מודלים נוספים: סנכרון שפתיים ואווטארים

לסוכני AI: דף זה בפורמט Markdown נמצא בכתובת https://doitong.com/he/developers/models/kling-video/lipsync/text-to-video.md. כל המודלים והמדריכים: https://doitong.com/developers/llms.txt